<script lang="ts" setup>
import { Offer, User } from '~~/entities';

const route = useRoute();
const offerId = route.params.id;
const notFound = ref(false);

const { data: offer } = await useFetch<Offer>('http://localhost:3030/offer/' + offerId, {
  async onResponseError(ctx) {
    if (ctx.response.status == 404) {
      notFound.value = true;
    }
  }
});

const { data: owner } = await useFetch<User>('http://localhost:3030/user/' + offer.value?.userId)
</script>

<template>
  <div>
    <div v-if="!notFound">
      <h1>{{offer?.description}}</h1>
      <h3>By {{owner?.email}}</h3>
    </div>
    <div v-if="notFound">
      <h1>Offer not found</h1>
    </div>
  </div>
</template>

<style scoped>
</style>
